import { DynamoDBClient, DynamoDBClientConfig } from "@aws-sdk/client-dynamodb";
import * as Context from "effect/Context";
import * as Data from "effect/Data";
import * as Layer from "effect/Layer";
declare const DynamoDBClientOptions_base: new <A extends Record<string, any>>(args: import("effect/dist/declarations/src/Types").Equals<Omit<A, keyof import("effect/dist/declarations/src/Equal").Equal>, {}> extends true ? void : Omit<A, keyof import("effect/dist/declarations/src/Equal").Equal>) => Data.Data<A & {
    readonly _tag: "DynamoDBClientOptions";
}>;
export declare class DynamoDBClientOptions extends DynamoDBClientOptions_base<DynamoDBClientConfig> {
}
export declare const DynamoDBClientConfigTag: Context.Tag<DynamoDBClientOptions, DynamoDBClientOptions>;
export declare const DefaultDynamoDBClientConfigLayer: Layer.Layer<never, never, DynamoDBClientOptions>;
export declare const DynamoDBClientInstanceTag: Context.Tag<DynamoDBClient, DynamoDBClient>;
export declare const DynamoDBClientInstanceLayer: Layer.Layer<DynamoDBClientOptions, never, DynamoDBClient>;
export declare const DefaultDynamoDBClientInstanceLayer: Layer.Layer<never, never, DynamoDBClient>;
export {};
